Package: org.codehaus.groovy.control.messages

## [Java] Class Message

- org.codehaus.groovy.control.messages.Message

-     public abstract class Message
      extends Object

  A base class for compilation messages.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Message` | `create(String text, ProcessingUnit owner)` Creates a new `Message` from the specified text.
    `` | `public static Message` | `create(String text, Object data, ProcessingUnit owner)` Creates a new `Message` from the specified text and data.
    `` | `public static Message` | `create(SyntaxException error, SourceUnit owner)` Creates a new `Message` from the specified `SyntaxException`.
    `` | `public abstract void` | `write(PrintWriter writer, Janitor janitor)` Writes this message to the specified PrintWriter.
    `` | `public final void` | `write(PrintWriter writer)` Writes this message to the specified PrintWriter.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Message create(String text, ProcessingUnit owner)

      Creates a new `Message` from the specified text.

    - #### public static Message create(String text, Object data, ProcessingUnit owner)

      Creates a new `Message` from the specified text and data.

    - #### public static Message create(SyntaxException error, SourceUnit owner)

      Creates a new `Message` from the specified `SyntaxException`.

    - #### public abstract void write(PrintWriter writer, Janitor janitor)

      Writes this message to the specified PrintWriter.

    - #### public final void write(PrintWriter writer)

      Writes this message to the specified PrintWriter.